jlp

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.player
Class jlp

    java.lang.Object
      javazoom.jl.player.jlp

public class jlp
extends java.lang.Object

The `jlp` class implements a simple command-line player for MPEG audio files.

Constructor Summary
`jlp(java.lang.String filename)`

Method Summary
`static jlp` | `createInstance(java.lang.String[] args)`
`protected AudioDevice` | `getAudioDevice()`
`protected java.io.InputStream` | `getInputStream()` Playing file from FileInputStream.
`protected java.io.InputStream` | `getURLInputStream()` Playing file from URL (Streaming).
`protected void` | `init(java.lang.String filename)`
`static void` | `main(java.lang.String[] args)`
`protected boolean` | `parseArgs(java.lang.String[] args)`
`void` | `play()`
`void` | `showUsage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### jlp

    public jlp(java.lang.String filename)

Method Detail

### main

    public static void main(java.lang.String[] args)

### createInstance

    public static jlp createInstance(java.lang.String[] args)

### init

    protected void init(java.lang.String filename)

### parseArgs

    protected boolean parseArgs(java.lang.String[] args)

### showUsage

    public void showUsage()

### play

    public void play()
              throws JavaLayerException

  Throws:
    `JavaLayerException`

### getURLInputStream

    protected java.io.InputStream getURLInputStream()
                                             throws java.lang.Exception

  Playing file from URL (Streaming).

  Throws:
    `java.lang.Exception`

### getInputStream

    protected java.io.InputStream getInputStream()
                                          throws java.io.IOException

  Playing file from FileInputStream.

  Throws:
    `java.io.IOException`

### getAudioDevice

    protected AudioDevice getAudioDevice()
                                  throws JavaLayerException

  Throws:
    `JavaLayerException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005